<?php

/**
*
* @package - Acp_SliderMenu_Users
* @version $Id: acp_slidermenu_users.php 2013-06-01 21:34 Tigerman75 $
* @copyright (c) Tigerman75 (Tiger)( http://www.phpbbmods.it )
* @license http://opensource.org/licenses/gpl-license.php GNU Public License
*
*/

/**
* @ignore
*/
if (!defined('IN_PHPBB'))
{
	exit;
}

/**
* @package acp
*/
class acp_slidermenu_users
{
		var $u_action;

		function main($id, $mode)
		{
			global $db, $user, $auth, $template, $cache;
			global $config, $phpbb_root_path, $phpbb_admin_path, $phpEx;

			include($phpbb_root_path . 'includes/acp/info/acp_slidermenu_users.' . $phpEx);
				// set configure for language and template ACP module
				$user->add_lang('mods/info_acp_slider_menu');
				$this->tpl_name = 'acp_slidermenu_users';
				$this->page_title = $user->lang['SLIDERMENU_USERS'];
				add_form_key('acp_slidermenu_users');

				$submit = (isset($_POST['submit'])) ? true : false;
			
			switch ($mode)
			{
				case 'configuration':	
				$data = array(
				'mex_guest'      => utf8_normalize_nfc(request_var('mex_guest', $config['mex_guest'], true)),
				'select_clock'   => utf8_normalize_nfc(request_var('select_clock', $config['select_clock'], true)),
				'meximg_guest'   => utf8_normalize_nfc(request_var('meximg_guest', $config['meximg_guest'], true)),
				'mexbcolor_guest'   => utf8_normalize_nfc(request_var('mexbcolor_guest', $config['mexbcolor_guest'], true)),
				'mexfont_guest'   => utf8_normalize_nfc(request_var('mexfont_guest', $config['mexfont_guest'], true)),
				'mexbgcolor_guest'   => utf8_normalize_nfc(request_var('mexbgcolor_guest', $config['mexbgcolor_guest'], true)),
				'mexbordcolor_guest'   => utf8_normalize_nfc(request_var('mexbordcolor_guest', $config['mexbordcolor_guest'], true)),
				);
			
				if ($submit)
				{
					if (!check_form_key('acp_slidermenu_users'))
					{
						trigger_error('FORM_INVALID');
					}
					// set config for variables
					set_config('menuslider_enable', request_var('menuslider_enable', 1));
					set_config('menuslider_enable_sx', request_var('menuslider_enable_sx', 1));
					set_config('menuslider_enable_dx', request_var('menuslider_enable_dx', 1));
					set_config('mex_guest', $data['mex_guest']);
					set_config('select_clock', $data['select_clock']);
					set_config('meximg_guest', $data['meximg_guest']);
					set_config('mexbcolor_guest', $data['mexbcolor_guest']);
					set_config('mexfont_guest', $data['mexfont_guest']);
					set_config('mexbgcolor_guest', $data['mexbgcolor_guest']);
					set_config('mexbordcolor_guest', $data['mexbordcolor_guest']);

					trigger_error($user->lang['SLIDERMENU_USERS_SAVED'] . adm_back_link($this->u_action));
				}
				// set assigns variables
				$template->assign_vars(array(
					'MENUSLIDER_ENABLE'      	=> $config['menuslider_enable'],
					'MENUSLIDER_ENABLE_SX'      => $config['menuslider_enable_sx'],
					'MENUSLIDER_ENABLE_DX'      => $config['menuslider_enable_dx'],
					'MEX_GUEST'					=> $config['mex_guest'],
					'MEXIMG_GUEST'				=> $config['meximg_guest'],
					'MEXBCOLOR_GUEST'			=> $config['mexbcolor_guest'],
					'MEXBGCOLOR_GUEST'			=> $config['mexbgcolor_guest'],
					'MEXBORDCOLOR_GUEST'		=> $config['mexbordcolor_guest'],
					'MEXFONT_GUEST'				=> $config['mexfont_guest'],
					'S_SELECT_CLOCK'			=> $config['select_clock'],
					'U_COLORPICKER'				=> append_sid("{$phpbb_admin_path}colorpicker.$phpEx"),
					'U_ACTION'      			=> $this->u_action,
			));
			break;
		}
	/**
	* A copy of Handyman` s MOD version check, to view it on the portal overview
	* @version $Id: acp_version_check.php 51 2007-10-30 04:40:42Z Handyman $
	* @copyright (c) 2007 StarTrekGuide
	*/
		// Get current and latest version
		$errstr = '';
		$errno = 0;

		$mod_version = $user->lang['NO_INFO'];
		$data = array(
			'title'            => $user->lang['NO_INFO'],
			'download'        => $user->lang['NO_INFO'],
			'announcement'    => $user->lang['NO_INFO'],
		);
 

		$file = get_remote_file('phpbbmods.it', '/versioncheck/', 'slidermenu.xml', $errstr, $errno);
            
		if ($file)
		{

     		// let's not stop the page from loading if a mod author messed up their mod check file
					// also take care of one of the easiest ways to mess up an xml file: "&"
			$mod = @simplexml_load_string(str_replace('&', '&amp;', $file));
			if (isset($mod->version_check))
				{
					$row = $mod->version_check;
					$mod_version = $row->mod_version->major . '.' . $row->mod_version->minor . '.' . $row->mod_version->revision . $row->mod_version->release;

					$data = array(
						'title'           => $row->title,
						'download'        => $row->download,
						'announcement'    => $row->announcement,
					);
				}

			// remove spaces from the version in the mod file stored locally
			$version = str_replace(' ', '', $config['slider_menuusers_version']);
			$version_compare = (version_compare($config['slider_menuusers_version'], $mod_version, '<')) ? false : true;

			$template->assign_block_vars('mods', array(
				'ANNOUNCEMENT'      => $data['announcement'],
				'CURRENT_VERSION'   => $config['slider_menuusers_version'],
				'DOWNLOAD'          => $data['download'],
				'LATEST_VERSION'    => $mod_version,
				'TITLE'             => $data['title'],
				'UP_TO_DATE'        => sprintf((!$version_compare) ? $user->lang['NOT_UP_TO_DATE'] : $user->lang['UP_TO_DATE'], $data['title']),
				'S_UP_TO_DATE'      => $version_compare,
			));
		}	
	}
}

?>