<?php
/**
 *
 * @author Tigerman75 (Tiger) info@phpbbmods.it
 * @version $Id$
 * @copyright (c) 2013 Tigerman75 and Luckyluciano
 * @license http://opensource.org/licenses/gpl-license.php GNU Public License
 *
 */

/**
 * @ignore
 */
define('UMIL_AUTO', true);
define('IN_PHPBB', true);
$phpbb_root_path = (defined('PHPBB_ROOT_PATH')) ? PHPBB_ROOT_PATH : './';
$phpEx = substr(strrchr(__FILE__, '.'), 1);

include($phpbb_root_path . 'common.' . $phpEx);
$user->session_begin();
$auth->acl($user->data);
$user->setup();


if (!file_exists($phpbb_root_path . 'umil/umil_auto.' . $phpEx))
{
	trigger_error('Please download the latest UMIL (Unified MOD Install Library) from: <a href="http://www.phpbb.com/mods/umil/">phpBB.com/mods/umil</a>', E_USER_ERROR);
}

// The name of the mod to be displayed during installation.
$mod_name = 'SLIDER_MENU_USERS_TITLE';

/*
* The name of the config variable which will hold the currently installed version
* UMIL will handle checking, setting, and updating the version itself.
*/
$version_config_name = 'slider_menuusers_version';


// The language file which will be included when installing
$language_file = 'mods/info_acp_slider_menu';


/*
* Optionally we may specify our own logo image to show in the upper corner instead of the default logo.
* $phpbb_root_path will get prepended to the path specified
* Image height should be 50px to prevent cut-off or stretching.
*/
$logo_img = 'images/logoslider.png';

/*
* The array of versions and actions within each.
* You do not need to order it a specific way (it will be sorted automatically), however, you must enter every version, even if no actions are done for it.
*
* You must use correct version numbering.  Unless you know exactly what you can use, only use X.X.X (replacing X with an integer).
* The version numbering must otherwise be compatible with the version_compare function - http://php.net/manual/en/function.version-compare.php
*/
$versions = array(
	'1.0.3' => array(
	),
		'1.0.4' => array(

		'table_column_add' => array(
						array('phpbb_users', 'user_menuslider_enable', array('BOOL', true)),
						array('phpbb_users', 'user_menuslider_sx_enable', array('BOOL', true)),
						array('phpbb_users', 'user_menuslider_dx_enable', array('BOOL', true)),
					),

							'config_add' => array(
									array('mex_guest', 'Welcome Guest.!'),
									array('select_clock', '3D_blue'),
									array('meximg_guest', 'warn.png'),
									array('mexbcolor_guest', '#123456'),
									array('mexfont_guest', '15'),
									array('mexbgcolor_guest', '#f3f077'),
									array('mexbordcolor_guest', '#561212'),
								),
							// Add module for ACP
							'module_add' => array(
								array('acp', 'ACP_CAT_DOT_MODS', 'MENUSLIDER_ACP'),

							array('acp', 'MENUSLIDER_ACP', array(
								'module_basename'	=> 'slidermenu_users',
								'modes'			=> array('configuration'),
								'module_auth'		=> 'acl_a_board',
							),
						),
					),		
				),
				
				// Add new category name UCP_CAT_SLIDERMENU
			array('ucp', true, 'UCP_CAT_SLIDERMENU'),

			// next let's add our module
			array('ucp', 'UCP_CAT_SLIDERMENU', array(
					'module_basename'	=> 'slidermenu_users',
					'modes'				=> array('configuration'),
					'module_auth'		=> '',
				),
			),
		// purge the cache
		'cache_purge' => array('', 'template', 'theme'),
);

// Include the UMIL Auto file, it handles the rest
include($phpbb_root_path . 'umil/umil_auto.' . $phpEx);